Create a project
curl --request POST \
--url https://api.example.com/api/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"copyContentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"protected": false,
"version": "v1"
}
'import requests
url = "https://api.example.com/api/projects"
payload = {
"name": "<string>",
"key": "<string>",
"copyContentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"protected": False,
"version": "v1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
copyContentRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
protected: false,
version: 'v1'
})
};
fetch('https://api.example.com/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"key": "<string>",
"protected": true,
"deletedAt": "<string>",
"decisionsApprovalGroups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}Project
Create a project
Create a new project within the organisation with optional content copying from an existing project.
POST
/
api
/
projects
Create a project
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Body
application/json
Name of the project
Unique key identifier for the project (lowercase letters, numbers, and hyphens)
Pattern:
^[a-z0-9]{2,}(-[a-z0-9]+)*$Project ID to copy content from
Whether the project should be protected from deletion
Project version to create (v1 or v2)
Available options:
v1, v2, null Response
200 - application/json
The created project with details
The created project with details
The created project
Show child attributes
Show child attributes
Was this page helpful?
⌘I